package com.ruoyi.project.training.bccnew.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.bccnew.domain.TTsApprove;

/**
 * 导师带徒审批Mapper接口
 * 
 * @author ssy
 * @date 2024-06-25
 */
public interface TTsApproveMapper 
{
    /**
     * 查询导师带徒审批
     * 
     * @param id 导师带徒审批ID
     * @return 导师带徒审批
     */
    public TTsApprove selectTTsApproveById(Long id);

    public List<TTsApprove> selectTTsApproveByNewId(Long id);
    public List<TTsApprove> selectTTsApproveByContentId(Long id);

    /**
     * 查询导师带徒审批列表
     * 
     * @param tTsApprove 导师带徒审批
     * @return 导师带徒审批集合
     */
    //@DataScope(deptAlias = "d")
    public List<TTsApprove> selectTTsApproveList(TTsApprove tTsApprove);

    /**
     * 新增导师带徒审批
     * 
     * @param tTsApprove 导师带徒审批
     * @return 结果
     */
    public int insertTTsApprove(TTsApprove tTsApprove);

    /**
     * 修改导师带徒审批
     * 
     * @param tTsApprove 导师带徒审批
     * @return 结果
     */
    public int updateTTsApprove(TTsApprove tTsApprove);

    /**
     * 删除导师带徒审批
     * 
     * @param id 导师带徒审批ID
     * @return 结果
     */
    public int deleteTTsApproveById(Long id);

    /**
     * 批量删除导师带徒审批
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTsApproveByIds(Long[] ids);
}
